# Input preparation ($inp): split up input into lines with a large-enough
# buffer; this is required only to reduce input record size, whcih would
# be a few kilobytes from env:0 (this way it's less than 80 characters).
#
# Actual test: splitting at D, which will leave a partial record at the end,
# after the last Doom.
#
# Note: order of event, msg and output of the partial last record is guaranteed.

include stdio

aff='[affix suffix="\n"]'
inp='stdin:* | [split sep="\r\n"] | ' + ${aff}
event:* | [regex pattern="^plumb_split"] | [affix prefix="event: "] | STDOUT:*

# Actual test:
$inp | test=[split sep="D" event=1 partial_msg="<<<partial>>>" partial=pass],sticky=1 | $aff | [affix prefix="stdout: "] | STDOUT:*



